org.apache.ignite.spi.discovery

## Interface DiscoveryDataBag.GridDiscoveryData

Enclosing class:
  DiscoveryDataBag

    public static interface DiscoveryDataBag.GridDiscoveryData

Facade interface representing `DiscoveryDataBag` object with discovery data collected in the grid.

### Method Summary

All Methods Instance Methods Abstract Methods
`Serializable` `commonData()`
`UUID` `joiningNodeId()`
`Map<UUID,Serializable>` `nodeSpecificData()`

### Method Detail

#### joiningNodeId

    UUID joiningNodeId()

#### commonData

    Serializable commonData()

#### nodeSpecificData

    Map<UUID,Serializable> nodeSpecificData()

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019